Bug 57643 - please fix warnings in .h files
Summary: please fix warnings in .h files
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Mesa (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-18 02:58 UTC by Jamie Zawinski
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-18 02:58:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jamie Zawinski 2001-12-18 02:58:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13smp i686; Nav)

Description of problem:
Mesa-devel-3.4.2-7

To ensure maximal ANSI C compliance, I always compile with these
options:

  gcc -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
      -std=c89 -U__STRICT_ANSI__

I get some warnings that are not my fault; it would be nice if
you could fix these in your header files.  The problem here is
that some of your declarations are of the form "foo()" instead
of the form "foo(void)".

/usr/include/GL/glu.h:353: warning: function declaration isn't a prototype
/usr/include/GL/glu.h:428: warning: function declaration isn't a prototype
/usr/include/GL/glu.h:473: warning: function declaration isn't a prototype
/usr/include/GL/glx.h:428: warning: function declaration isn't a prototype


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile against Mesa-devel-3.4.2-7 with those options
2.
3.
	

Additional info:

Comment 1 Mike A. Harris 2002-01-18 08:26:27 UTC
Minor issues such as this should be reported to upstream developers of
the affected packages.  Please report to the Mesa team via sourceforge.


Note You need to log in before you can comment on or make changes to this bug.